List Ordered Products

Retrieves information related to products that a Company user has purchased. The information returned by this endpoint is different from the detailed product information returned by [Get Order Details](#get-order-details). However, it does include unique information like how many times a product was ordered and when it was last ordered. The response includes all products purchased by the Company user, but you can filter for a subset of products by using parameters. Common use cases include: * Retrieving products purchased within a date range by using `beginDateAt` and `endDateAt` * Retrieving products ordered a specific number of times by using `minOrderedTimes` and `maxOrderedTimes` * Retrieving information on similarly-named products by entering a partial product name as a `q` value * Retrieving information on a specific product by using `productID` Equivalent Storefront GraphQL API Query: `orderedProducts`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).

Authentication

AuthorizationBearer
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| |`Authorization`|`Bearer {{B2B_JWT_TOKEN}}`| You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section[...]

Query parameters

offsetintegerOptionalDefaults to 0
The number of results to skip before returning the first result. If left blank, this defaults to 0.
limitintegerOptionalDefaults to 10
Determines the number of records to return per page. If left blank, this defaults to 10.
beginDateAtdatetimeOptional

Enter a date in %m/%d/%Y format to retrieve all orders placed after that time. If the parameter is not included in the request, the resposne includes orders placed 30 days before the current date.

endDateAtdatetimeOptional

Enter a date in %m/%d/%Y format to retrieve all orders placed before that time. If the parameter is not included in the request, the current date is used.

minOrderedTimesdoubleOptional
Enter a number to return products that have been ordered at least that many times by the Company user.
maxOrderedTimesdoubleOptional
Enter a number to return products that have been ordered at least that many times by the Company user.
productIDdoubleOptional
The unique identifier for the product.
qstringOptional

Enter order information to return partial and exact matches. Accepted information fields include order ID, order status name, Purchase Order (PO) number, and total order value including tax.

Response

OK
dataobject
codeintegerDefaults to 200
HTTP Response Code
messagestringDefaults to SUCCESS